'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }(); /*
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      * LiskHQ/lisky
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      * Copyright © 2017 Lisk Foundation
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      *
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      * See the LICENSE file at the top-level directory of this distribution
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      * for licensing information.
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      *
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      * Unless otherwise agreed in a custom licensing agreement with the Lisk Foundation,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      * no part of this software, including this file, may be copied, modified,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      * propagated, or distributed except according to the terms contained in the
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      * LICENSE file.
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      *
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      * Removal or modification of this copyright notice is prohibited.
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      *
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      */


var _api = require('./api');

var _api2 = _interopRequireDefault(_api);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var Query = function () {
	function Query() {
		var _this = this;

		_classCallCheck(this, Query);

		this.client = _api2.default;
		this.handlers = {
			account: function account(_account) {
				return _this.getAccount(_account);
			},
			block: function block(_block) {
				return _this.getBlock(_block);
			},
			delegate: function delegate(_delegate) {
				return _this.getDelegate(_delegate);
			},
			transaction: function transaction(_transaction) {
				return _this.getTransaction(_transaction);
			}
		};
	}

	_createClass(Query, [{
		key: 'getBlock',
		value: function getBlock(input) {
			return this.client.sendRequest('blocks/get', { id: input });
		}
	}, {
		key: 'getAccount',
		value: function getAccount(input) {
			return this.client.sendRequest('accounts', { address: input });
		}
	}, {
		key: 'getTransaction',
		value: function getTransaction(input) {
			return this.client.sendRequest('transactions/get', { id: input });
		}
	}, {
		key: 'getDelegate',
		value: function getDelegate(input) {
			return this.client.sendRequest('delegates/get', { username: input });
		}
	}]);

	return Query;
}();

exports.default = new Query();